﻿body {
    padding-top: 50px;
    padding-bottom: 20px;
    font-size: 17px;
}

.table > thead > tr > td,
.table > tbody > tr > td,
.table > tfoot > tr > td {
    vertical-align: middle;
}

h1, .h1 {
    font-size: 43px;
}
h2, .h2 {
    font-size: 36px;
}
h3, .h3 {
    font-size: 29px;
}
h4, .h4 {
    font-size: 22px;
}
h5, .h5 {
    font-size: 17px;
}
h6, .h6 {
    font-size: 15px;
}
.btn,
.form-control {
    font-size: 17px;
}

.navbar {
    min-height: 56px;
}
.navbar-default {
    background-color: #f4f1eb;
}
.navbar-brand-logo {
    height: 40px;
    width: auto;
    margin: 8px 15px;
}
.navbar-nav > li > a {
    padding-top: 18px;
    padding-bottom: 18px;
}
.language-menu > a {
    padding-left: 10px;
    padding-right: 10px;
    opacity: 0.7;
}
.language-menu .fi {
    font-size: 16px;
    border-radius: 2px;
}
.dropdown-menu .fi {
    font-size: 14px;
    margin-right: 2px;
}
.language-menu > a:hover,
.language-menu > a:focus {
    opacity: 1;
}

.btn-default,
.btn-default:focus,
.btn-default.focus {
    background-image: none;
    background-color: #3f5932;
    color: #fff;
    border: 0;
}
.btn-default:hover {
    background-image: none;
    background-color: #364c2b;
    color: #fff;
}
.btn-default:active,
.btn-default.active {
    background-image: none;
    background-color: #2f4326;
    color: #fff;
}

input[type="checkbox"],
input[type="radio"] {
    accent-color: #3f5932;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}

.no-h-padding {
    padding-left: 0 !important;
    padding-right: 0 !important;
    margin-left: 0 !important;
    margin-right: 0 !important;
}

#loading {
    display: none;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(255,255,255,0.8);
    z-index: 1000000;
}
#loadingcontent {
    display: table;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
}
#loadingspinner {
    display: table-cell;
    vertical-align: middle;
    width: 100%;
    text-align: center;
    font-size: larger;
    padding-top: 80px;
}

.no-resize {
    resize: none;
}

.info-container {
    position: absolute;
    object-fit: contain;
    max-width: 1280px;
    max-height: 726px;
}
.info-background-image {
    object-fit: contain;
    object-position: top;
    width: 100%;
    height: 100%;
}
.info-center-img {
  position: absolute;
  min-width: 240px;
  width: 50%;
  height: 30%;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin-left: auto;
  margin-right: auto;
  margin-top: auto;
  margin-bottom: auto;
  padding-top: 10%;
}
.flex-center-center {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align:center;
  align-items: center;
  min-height: 24em;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
}
.flex-center {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align:center;
  align-items: center;
  /*min-height: 24em;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center*/
}

.icons-container {
  min-height: 62px;
  height: 100%;
  max-height: 172px;
  padding-top: 10%;
}

.icons-container img {
  transition: height 0.3s, width 0.3s;
  height: 172px; width: 172px;
}

@media (max-width: 480px) {
  .icons-container img {
    height: calc(172px / 4);
    width: calc(172px / 4);   
  }
}

@media (min-width: 481px) and (max-width: 600px) {
  .icons-container img {
    height: calc(172px / 3);
    width: calc(172px / 3);   
  }
}

@media (min-width: 601px) and (max-width: 800px) {
  .icons-container img {
    height: calc(172px * 0.66);
    width: calc(172px * 0.66);    
  }
}

.icons-container > * {
  padding: 1em;
  color: #fff;
  background-position: center center;
  background-repeat: no-repeat;
  background-size: 80% 80%;
  transition: background-size 0.3s;
}
.icons-container > div:hover {
  cursor: pointer;
  background-size: 90% 90%;
}
.transparent-image {
  opacity: 0
}

.container-content {
    padding: 20px 40px;
    background-color: #fff;
}
.text-overlay:before,
.text-overlay:after {
    content: " ";
    display: table;
}
.text-overlay:after {
    clear: both;
}

.contact-column {
    left: 0;
    width: 33%;
    max-width: 300px;
    display: inline-block;
    vertical-align: top;
}
.contact-bottom-column {
    display:inline-block;
    width: 33%;
    vertical-align: top;
}


.settings-tab-container {
    padding: 0 10px;
}
.settings-tab-container > div > .radio {
    margin-top: 0;
    margin-bottom: 0;
}
.settings-tab-section {
    margin-bottom: 10px;
}
.settings-text {
    width: 50px;
    height: 25px;
}
.bottom-tab-column {
    display: inline-block;
    padding-top: 5px;
    padding-right: 5px;
    min-width: 40px;
}


.btn-guess {
  display: inline-block;
  border: 0;
  outline: 0;
  background-size: 100% 100%;
  background-color: transparent;
  width: 48px;
  height: 48px;
  transition: background-image 0.3s;
  transition-timing-function: ease-out;
}
.btn-guess-next {
  background-image: url('../images/button-next.png');
}
.btn-guess-next:active {
  background-image: url('../images/button-next-pressed.png');
}
.btn-guess-next-disabled {
  background-image: url('../images/button-next-disabled.png');
}
.btn-guess-previous {
  background-image: url('../images/button-previous.png');
}
.btn-guess-previous:active {
  background-image: url('../images/button-previous-pressed.png');
}
.btn-guess-previous-disabled {
  background-image: url('../images/button-previous-disabled.png');
}
.btn-guess-end {
  background-image: url('../images/button-next-red.png');
}
.btn-guess-end:active {
  background-image: url('../images/button-next-pressed-red.png');
}

.order-counter {
    margin-top: 5px;
}

.order-counter-label {
    font-size: 18px;
}

#guess-input-div {
    padding-top: 20px;
}
.guess-coverage-div {
    padding-top: 30px;
}
.guess-navigation-div {
    display: inline-block;
    padding-top: 20px;
    padding-right: 10px;
}
.guess-image-frame {
    position: relative;
    width: 100%;
    padding-top: 75%;
}
.guess-image {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
}
#guess-coverage {
    width: 100px;
}
#page-counter {
    padding-top: 20px;
}
#result-timeline-div {
    text-align: center;
    padding-top: 10px;
    padding-bottom: 10px;
}
.result-image-container-div {
    display: table;
    margin-left: auto;
    margin-right: auto;
    padding-top: 10px;
}
.result-image-div {
    display: table-cell;
    padding-right: 10px;
}

.footer-notification {
    position: fixed;
    bottom: 0;
    width: 100%;
    z-index: 10000;
    transition-property: height;
    transition-duration: .35s;
    margin-bottom: 0;
    -moz-animation-name: dropHeader;
    -moz-animation-iteration-count: 1;
    -moz-animation-timing-function: ease-in;
    -moz-animation-duration: 0.35s;
    -webkit-animation-name: dropHeader;
    -webkit-animation-iteration-count: 1;
    -webkit-animation-timing-function: ease-in;
    -webkit-animation-duration: 0.35s;
    animation-name: dropHeader;
    animation-iteration-count: 1;
    animation-timing-function: ease-in;
    animation-duration: 0.35s;
}
@-moz-keyframes dropHeader {
    0% {
        -moz-transform: translateY(50px);
    }
    100% {
        -moz-transform: translateY(0);
    }
}
@-webkit-keyframes dropHeader {
    0% {
        -webkit-transform: translateY(50px);
    }
    100% {
        -webkit-transform: translateY(0);
    }
}
@keyframes dropHeader {
    0% {
        transform: translateY(50px);
    }
    100% {
        transform: translateY(0);
    }
}

.welcome-header {
    color: #333;
    font-family: 'source_sans_prolight', Helvetica, Arial, sans-serif;
    font-size: 48px;
}

input[type=range] {
  -webkit-appearance: none;
  margin: 10px 0;
  width: 100%;
}
input[type=range]:focus {
  outline: none;
}
input[type=range]::-webkit-slider-runnable-track {
  width: 100%;
  height: 11px;
  cursor: pointer;
  animate: 0.2s;
  box-shadow: 1px 1px 1px #000000;
  background: #226108;
  border-radius: 1px;
  border: 0px solid #010101;
}
input[type=range]:disabled::-webkit-slider-runnable-track {
  cursor: default;
  opacity: .65;
}
input[type=range]:focus::-webkit-slider-runnable-track {
  background: #226108;
}
input[type=range]::-webkit-slider-thumb {
  box-shadow: 1px 1px 1px #000031;
  border: 1px solid #00001E;
  height: 20px;
  width: 15px;
  border-radius: 15px;
  background: #FFFFFF;
  cursor: pointer;
  -webkit-appearance: none;
  margin-top: -5px;
}
input[type=range]:disabled::-webkit-slider-thumb {
    cursor: default;
    opacity: .9;
}
input[type=range]::-moz-range-track {
  width: 100%;
  height: 11px;
  cursor: pointer;
  animate: 0.2s;
  box-shadow: 1px 1px 1px #000000;
  background: #226108;
  border-radius: 1px;
  border: 0px solid #010101;
}
input[type=range]:disabled::-moz-range-track {
    cursor: default;
    opacity: .65;
}
input[type=range]::-moz-range-thumb {
  box-shadow: 1px 1px 1px #000031;
  border: 1px solid #00001E;
  height: 20px;
  width: 15px;
  border-radius: 15px;
  background: #FFFFFF;
  cursor: pointer;
}
input[type=range]:disabled::-moz-range-thumb {
  cursor: default;
  opacity: .9;
}
input[type=range]::-ms-track {
  width: 100%;
  height: 11px;
  cursor: pointer;
  animate: 0.2s;
  background: transparent;
  border-color: transparent;
  color: transparent;
}
input[type=range]:disabled::-ms-track {
  cursor: default;
  opacity: .65;
}
input[type=range]::-ms-fill-lower {
  background: #226108;
  border: 0px solid #010101;
  border-radius: 2px;
  box-shadow: 1px 1px 1px #000000;
}
input[type=range]::-ms-fill-upper {
  background: #226108;
  border: 0px solid #010101;
  border-radius: 2px;
  box-shadow: 1px 1px 1px #000000;
}
input[type=range]::-ms-thumb {
  box-shadow: 1px 1px 1px #000031;
  border: 1px solid #00001E;
  height: 20px;
  width: 15px;
  border-radius: 15px;
  background: #FFFFFF;
  cursor: pointer;
}
input[type=range]:disabled::-ms-thumb {
  cursor: default;
  opacity: .9;
}
input[type=range]:focus::-ms-fill-lower {
  background: #226108;
}
input[type=range]:focus::-ms-fill-upper {
  background: #226108;
}